<!DOCTYPE html>
<html><head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>BootstrapValidator demo</title>

    <link rel="stylesheet" href="BootstrapValidator%20demo_files/bootstrap.css">
    <link rel="stylesheet" href="BootstrapValidator%20demo_files/bootstrapValidator.css">

    <!-- Include the FontAwesome CSS if you want to use feedback icons provided by FontAwesome -->
    <!--<link rel="stylesheet" href="http://netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css" />-->

    <script type="text/javascript" src="BootstrapValidator%20demo_files/jquery.js"></script>
    <script type="text/javascript" src="BootstrapValidator%20demo_files/bootstrap.js"></script>
    <script type="text/javascript" src="BootstrapValidator%20demo_files/bootstrapValidator.js"></script>
</head>
<body>
    <div class="container">
        <div class="row">
            <!-- form: -->
            <section>
                <div class="col-lg-8 col-lg-offset-2">
                    <div class="page-header">
                        <h2>Sign up</h2>
                    </div>

                    <form novalidate="novalidate" id="defaultForm" method="post" class="form-horizontal bv-form" action="target.php"><button disabled="disabled" style="display: none; width: 0px; height: 0px;" class="bv-hidden-submit" type="submit"></button>
                        <div class="form-group">
                            <label class="col-lg-3 control-label">Full name</label>
                            <div class="col-lg-4 has-feedback has-success">
                                <input value="aaaa" data-bv-field="firstName" class="form-control" name="firstName" placeholder="First name" type="text"><i data-bv-icon-for="firstName" class="form-control-feedback bv-no-label glyphicon glyphicon-ok" style="display: block;"></i>
                            <small data-bv-result="VALID" data-bv-for="firstName" data-bv-validator="notEmpty" class="help-block" style="display: none;">The first name is required and cannot be empty</small></div>
                            <div class="col-lg-4 has-feedback has-success">
                                <input value="aaaa" data-bv-field="lastName" class="form-control" name="lastName" placeholder="Last name" type="text"><i data-bv-icon-for="lastName" class="form-control-feedback bv-no-label glyphicon glyphicon-ok" style="display: block;"></i>
                            <small data-bv-result="VALID" data-bv-for="lastName" data-bv-validator="notEmpty" class="help-block" style="display: none;">The last name is required and cannot be empty</small></div>
                        </div>

                        <div class="form-group has-feedback has-success">
                            <label class="col-lg-3 control-label">Username</label>
                            <div class="col-lg-5">
                                <input value="a123a123a123" data-bv-field="username" class="form-control" name="username" type="text"><i data-bv-icon-for="username" class="form-control-feedback glyphicon glyphicon-remove" style="display: block;"></i>
                            <small data-bv-result="VALID" data-bv-for="username" data-bv-validator="notEmpty" class="help-block" style="display: none;">The username is required and cannot be empty</small><small data-bv-result="VALID" data-bv-for="username" data-bv-validator="stringLength" class="help-block" style="display: none;">The username must be more than 6 and less than 30 characters long</small><small data-bv-result="VALID" data-bv-for="username" data-bv-validator="regexp" class="help-block" style="display: none;">The username can only consist of alphabetical, number, dot and underscore</small><small data-bv-result="VALIDATING" data-bv-for="username" data-bv-validator="remote" class="help-block" style="display: none;">The username is not available</small><small data-bv-result="VALID" data-bv-for="username" data-bv-validator="different" class="help-block" style="display: none;">The username and password cannot be the same as each other</small></div>
                        </div>

                        <div class="form-group has-feedback has-success">
                            <label class="col-lg-3 control-label">Email address</label>
                            <div class="col-lg-5">
                                <input data-bv-field="email" class="form-control" name="email" type="text"><i data-bv-icon-for="email" class="form-control-feedback glyphicon glyphicon-ok" style=""></i>
                            <small data-bv-result="VALID" data-bv-for="email" data-bv-validator="emailAddress" class="help-block" style="display: none;">The input is not a valid email address</small></div>
                        </div>

                        <div class="form-group has-feedback has-error">
                            <label class="col-lg-3 control-label">Password</label>
                            <div class="col-lg-5">
                                <input data-bv-field="password" class="form-control" name="password" type="password"><i data-bv-icon-for="password" class="form-control-feedback glyphicon glyphicon-remove" style=""></i>
                            <small data-bv-result="INVALID" data-bv-for="password" data-bv-validator="notEmpty" class="help-block" style="">The password is required and cannot be empty</small><small data-bv-result="VALID" data-bv-for="password" data-bv-validator="identical" class="help-block" style="display: none;">The password and its confirm are not the same</small><small data-bv-result="VALID" data-bv-for="password" data-bv-validator="different" class="help-block" style="display: none;">The password cannot be the same as username</small></div>
                        </div>

                        <div class="form-group has-feedback has-error">
                            <label class="col-lg-3 control-label">Retype password</label>
                            <div class="col-lg-5">
                                <input data-bv-field="confirmPassword" class="form-control" name="confirmPassword" type="password"><i data-bv-icon-for="confirmPassword" class="form-control-feedback glyphicon glyphicon-remove" style=""></i>
                            <small data-bv-result="INVALID" data-bv-for="confirmPassword" data-bv-validator="notEmpty" class="help-block" style="">The confirm password is required and cannot be empty</small><small data-bv-result="VALID" data-bv-for="confirmPassword" data-bv-validator="identical" class="help-block" style="display: none;">The password and its confirm are not the same</small><small data-bv-result="VALID" data-bv-for="confirmPassword" data-bv-validator="different" class="help-block" style="display: none;">The password cannot be the same as username</small></div>
                        </div>

                        <div class="form-group has-feedback has-error">
                            <label class="col-lg-3 control-label">Gender</label>
                            <div class="col-lg-5">
                                <div class="radio">
                                    <label>
                                        <input data-bv-field="gender" name="gender" value="male" type="radio"> Male
                                    </label>
                                </div>
                                <div class="radio">
                                    <label>
                                        <input data-bv-field="gender" name="gender" value="female" type="radio"> Female
                                    </label>
                                </div>
                                <div class="radio">
                                    <label>
                                        <input data-bv-field="gender" name="gender" value="other" type="radio"> Other
                                    </label>
                                </div><i data-bv-icon-for="gender" class="form-control-feedback glyphicon glyphicon-remove" style=""></i>
                            <small data-bv-result="INVALID" data-bv-for="gender" data-bv-validator="notEmpty" class="help-block" style="">The gender is required</small></div>
                        </div>

                        <div class="form-group has-feedback has-success">
                            <label class="col-lg-3 control-label">Birthday</label>
                            <div class="col-lg-5">
                                <input value="1253/02/02" data-bv-field="birthday" class="form-control" name="birthday" type="text"><i data-bv-icon-for="birthday" class="form-control-feedback glyphicon glyphicon-ok" style="display: block;"></i> (YYYY/MM/DD)
                            <small data-bv-result="VALID" data-bv-for="birthday" data-bv-validator="date" class="help-block" style="display: none;">The birthday is not valid</small></div>
                        </div>

                        <div class="form-group has-feedback has-error">
                            <label class="col-lg-3 control-label">Languages</label>
                            <div class="col-lg-5">
                                <div class="checkbox">
                                    <label>
                                        <input data-bv-field="languages[]" name="languages[]" value="english" type="checkbox"> English
                                    </label>
                                </div>
                                <div class="checkbox">
                                    <label>
                                        <input data-bv-field="languages[]" name="languages[]" value="french" type="checkbox"> French
                                    </label>
                                </div>
                                <div class="checkbox">
                                    <label>
                                        <input data-bv-field="languages[]" name="languages[]" value="german" type="checkbox"> German
                                    </label>
                                </div>
                                <div class="checkbox">
                                    <label>
                                        <input data-bv-field="languages[]" name="languages[]" value="russian" type="checkbox"> Russian
                                    </label>
                                </div>
                                <div class="checkbox">
                                    <label>
                                        <input data-bv-field="languages[]" name="languages[]" value="other" type="checkbox"> Other
                                    </label>
                                </div><i data-bv-icon-for="languages[]" class="form-control-feedback glyphicon glyphicon-remove" style=""></i>
                            <small data-bv-result="INVALID" data-bv-for="languages[]" data-bv-validator="notEmpty" class="help-block" style="">Please specify at least one language you can speak</small></div>
                        </div>

                        <div class="form-group has-feedback has-error">
                            <label class="col-lg-3 control-label">Programming Languages</label>
                            <div class="col-lg-5">
                                <div class="checkbox">
                                    <label>
                                        <input data-bv-field="programs[]" name="programs[]" value="net" type="checkbox"> .Net
                                    </label>
                                </div>
                                <div class="checkbox">
                                    <label>
                                        <input data-bv-field="programs[]" name="programs[]" value="java" type="checkbox"> Java
                                    </label>
                                </div>
                                <div class="checkbox">
                                    <label>
                                        <input data-bv-field="programs[]" name="programs[]" value="c" type="checkbox"> C/C++
                                    </label>
                                </div>
                                <div class="checkbox">
                                    <label>
                                        <input data-bv-field="programs[]" name="programs[]" value="php" type="checkbox"> PHP
                                    </label>
                                </div>
                                <div class="checkbox">
                                    <label>
                                        <input data-bv-field="programs[]" name="programs[]" value="perl" type="checkbox"> Perl
                                    </label>
                                </div>
                                <div class="checkbox">
                                    <label>
                                        <input data-bv-field="programs[]" name="programs[]" value="ruby" type="checkbox"> Ruby
                                    </label>
                                </div>
                                <div class="checkbox">
                                    <label>
                                        <input data-bv-field="programs[]" name="programs[]" value="python" type="checkbox"> Python
                                    </label>
                                </div>
                                <div class="checkbox">
                                    <label>
                                        <input data-bv-field="programs[]" name="programs[]" value="javascript" type="checkbox"> Javascript
                                    </label>
                                </div><i data-bv-icon-for="programs[]" class="form-control-feedback glyphicon glyphicon-remove" style=""></i>
                            <small data-bv-result="INVALID" data-bv-for="programs[]" data-bv-validator="choice" class="help-block" style="">Please choose 2 - 4 programming languages you are good at</small></div>
                        </div>

                        <div class="form-group has-feedback has-error">
                            <label class="col-lg-3 control-label" id="captchaOperation">17 + 164 =</label>
                            <div class="col-lg-2">
                                <input data-bv-field="captcha" class="form-control" name="captcha" type="text"><i data-bv-icon-for="captcha" class="form-control-feedback glyphicon glyphicon-remove" style=""></i>
                            <small data-bv-result="INVALID" data-bv-for="captcha" data-bv-validator="callback" class="help-block" style="">Wrong answer</small></div>
                        </div>

                        <div class="form-group">
                            <div class="col-lg-9 col-lg-offset-3">
                                <button disabled="disabled" type="submit" class="btn btn-primary" name="signup" value="Sign up">Sign up</button>
                                <button disabled="disabled" type="submit" class="btn btn-primary" name="signup2" value="Sign up 2">Sign up 2</button>
                                <button type="button" class="btn btn-info" id="validateBtn">Manual validate</button>
                                <button type="button" class="btn btn-info" id="resetBtn">Reset form</button>
                            </div>
                        </div>
                    </form>
                </div>
            </section>
            <!-- :form -->
        </div>
    </div>

<script type="text/javascript">
$(document).ready(function() {
    // Generate a simple captcha
    function randomNumber(min, max) {
        return Math.floor(Math.random() * (max - min + 1) + min);
    };
    $('#captchaOperation').html([randomNumber(1, 100), '+', randomNumber(1, 200), '='].join(' '));

    $('#defaultForm').bootstrapValidator({
//        live: 'disabled',
        message: 'This value is not valid',
        feedbackIcons: {
            valid: 'glyphicon glyphicon-ok',
            invalid: 'glyphicon glyphicon-remove',
            validating: 'glyphicon glyphicon-refresh'
        },
        fields: {
            firstName: {
                group: '.col-lg-4',
                validators: {
                    notEmpty: {
                        message: 'The first name is required and cannot be empty'
                    }
                }
            },
            lastName: {
                group: '.col-lg-4',
                validators: {
                    notEmpty: {
                        message: 'The last name is required and cannot be empty'
                    }
                }
            },
            username: {
                message: 'The username is not valid',
                validators: {
                    notEmpty: {
                        message: 'The username is required and cannot be empty'
                    },
                    stringLength: {
                        min: 6,
                        max: 30,
                        message: 'The username must be more than 6 and less than 30 characters long'
                    },
                    regexp: {
                        regexp: /^[a-zA-Z0-9_\.]+$/,
                        message: 'The username can only consist of alphabetical, number, dot and underscore'
                    },
                    remote: {
                        type: 'POST',
                        url: 'remote.php',
                        message: 'The username is not available'
                    },
                    different: {
                        field: 'password,confirmPassword',
                        message: 'The username and password cannot be the same as each other'
                    }
                }
            },
            email: {
                validators: {
                    emailAddress: {
                        message: 'The input is not a valid email address'
                    }
                }
            },
            password: {
                validators: {
                    notEmpty: {
                        message: 'The password is required and cannot be empty'
                    },
                    identical: {
                        field: 'confirmPassword',
                        message: 'The password and its confirm are not the same'
                    },
                    different: {
                        field: 'username',
                        message: 'The password cannot be the same as username'
                    }
                }
            },
            confirmPassword: {
                validators: {
                    notEmpty: {
                        message: 'The confirm password is required and cannot be empty'
                    },
                    identical: {
                        field: 'password',
                        message: 'The password and its confirm are not the same'
                    },
                    different: {
                        field: 'username',
                        message: 'The password cannot be the same as username'
                    }
                }
            },
            birthday: {
                validators: {
                    date: {
                        format: 'YYYY/MM/DD',
                        message: 'The birthday is not valid'
                    }
                }
            },
            gender: {
                validators: {
                    notEmpty: {
                        message: 'The gender is required'
                    }
                }
            },
            'languages[]': {
                validators: {
                    notEmpty: {
                        message: 'Please specify at least one language you can speak'
                    }
                }
            },
            'programs[]': {
                validators: {
                    choice: {
                        min: 2,
                        max: 4,
                        message: 'Please choose 2 - 4 programming languages you are good at'
                    }
                }
            },
            captcha: {
                validators: {
                    callback: {
                        message: 'Wrong answer',
                        callback: function(value, validator) {
                            var items = $('#captchaOperation').html().split(' '), sum = parseInt(items[0]) + parseInt(items[2]);
                            return value == sum;
                        }
                    }
                }
            }
        }
    });

    // Validate the form manually
    $('#validateBtn').click(function() {
        $('#defaultForm').bootstrapValidator('validate');
    });

    $('#resetBtn').click(function() {
        $('#defaultForm').data('bootstrapValidator').resetForm(true);
    });
});
</script>

</body></html>